<div mat-dialog-content [formGroup]="addProductForm">
  <p>Enter name of the product</p>
  <mat-form-field>
    <input matInput formControlName="title" />
  </mat-form-field>
  <div
    *ngIf="
      addProductForm.controls.title.getError('required') &&
      addProductForm.controls.title.touched
    "
    class="alert alert-danger"
  >
    Product Name is required
  </div>

  <div
    *ngIf="
      addProductForm.controls.title.touched &&
      addProductForm.controls.title.hasError('whitespace')
    "
    class="alert alert-danger"
  >
    Stop typing spaces instead of characters!!!
  </div>

  <p>Enter price of the product</p>
  <mat-form-field>
    <input matInput formControlName="price" />
  </mat-form-field>
  <div
    *ngIf="
      addProductForm.controls.price.getError('required') &&
      addProductForm.controls.price.touched
    "
    class="alert alert-danger"
  >
    Product price is required
  </div>
  <div
    *ngIf="
      addProductForm.controls.price.getError('pattern') &&
      addProductForm.controls.price.touched
    "
    class="alert alert-danger"
  >
    Incorrect format of price it must be 5:2 like 99999.99
  </div>
  <p>Description of the product</p>
  <mat-form-field>
    <input matInput formControlName="description" />
  </mat-form-field>

  <mat-form-field appearance="fill">
    <mat-label>Choose a category</mat-label>
    <mat-select formControlName="category_id">
      <div *ngFor="let category of categories">
        <mat-option [value]="category.id">{{
          category.category_name
        }}</mat-option>
      </div>
    </mat-select>
  </mat-form-field>

  <p>Enter size of the product</p>
  <mat-form-field>
    <input matInput formControlName="size" type="number" />
  </mat-form-field>
  <div
    *ngIf="
      addProductForm.controls.size.getError('required') &&
      addProductForm.controls.size.touched
    "
    class="alert alert-danger"
  >
    Size is required
  </div>

  <div
    *ngIf="
      addProductForm.controls.size.getError('pattern') &&
      addProductForm.controls.size.touched
    "
    class="alert alert-danger"
  >
    Number is required
  </div>

  <div
    *ngIf="
      addProductForm.controls.size.getError('min') &&
      addProductForm.controls.size.touched
    "
    class="alert alert-danger"
  >
    Min size is 28
  </div>

  <div
    *ngIf="
      addProductForm.controls.size.getError('max') &&
      addProductForm.controls.size.touched
    "
    class="alert alert-danger"
  >
    Max size is 49
  </div>

  <input
    type="file"
    (change)="onPictureChanged($event)"
    accept=".jpeg, .jpg, .webp, .png"
  />
</div>

<div mat-dialog-actions>
  <button mat-button (click)="onCloseClick()">Close</button>
  <button
    mat-button
    [disabled]="addProductForm.invalid || !selectedPicture"
    (click)="onUpload(); onSubmit()"
    cdkFocusInitial
  >
    Create
  </button>
</div>
